Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages.properties	(revision 1048)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages.properties	(revision 1049)
@@ -31,6 +31,9 @@
 CorrespondanceAnalysisEditorInput_5  = Eigenvalue
 CorrespondanceAnalysisEditorInput_8  = Rows infos
 CorrespondanceAnalysisEditorInput_9  = Cols infos
+error_cannot_compute_with=Error: cannot compute CA with 
+error_cannot_compute_with_selection=Error: cannot compute CA with current selection: 
+error_opening=Error: cannot open CAEditor with 
 
 PreferencePage_0                       = Quality column format
 PreferencePage_1                       = Contribution column format
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 1048)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 1049)
@@ -59,6 +59,13 @@
 	public static String CaEditor_0;
 
 	
+	public static String error_cannot_compute_with;
+
+	public static String error_cannot_compute_with_selection;
+
+	public static String error_opening;
+
+
 	static {
 		Utf8NLS.initializeMessages(BUNDLE_NAME, CAUIMessages.class);
 	}
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 1048)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 1049)
@@ -80,7 +80,7 @@
 		// FIXME: keep this for offering an option "large icons" with text in buttons ?
 		//showColumns.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_COLUMS_LABEL);
 		showIndividuals.setToolTipText(CAUIMessages.CHART_TOOLBAR_BUTTON_SHOW_COLUMS_TOOLTIP);
-		showIndividuals.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_columns.png"));
+		showIndividuals.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_columns.png")); //$NON-NLS-1$
 		showIndividuals.addSelectionListener(new ComputeSelectionListener(this));
 
 		// Show/hide rows
@@ -88,7 +88,7 @@
 		// FIXME: keep this for offering an option "large icons" with text in buttons ?
 		//this.showRows.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_ROWS_LABEL);
 		showVariables.setToolTipText(CAUIMessages.CHART_TOOLBAR_BUTTON_SHOW_ROWS_TOOLTIP);
-		showVariables.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_rows.png"));
+		showVariables.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_rows.png")); //$NON-NLS-1$
 		showVariables.addSelectionListener(new ComputeSelectionListener(this));
 
 		
@@ -97,7 +97,7 @@
 		// FIXME: keep this for offering an option "large icons" with text in buttons ?
 		//showPointShapes.setText(CAUIMessages.SHOW_HIDE_POINT_SHAPES);
 		showPointShapes.setToolTipText(CAUIMessages.CHART_TOOLBAR_BUTTON_SHOW_HIDE_POINT_SHAPES);
-		showPointShapes.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_point_shapes.png"));
+		showPointShapes.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_point_shapes.png")); //$NON-NLS-1$
 		showPointShapes.addSelectionListener(new ComputeSelectionListener(this));
 
 		
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 1048)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 1049)
@@ -700,13 +700,13 @@
 
 	@Override
 	public void refresh() {
-		System.out.println("ca.refresh() not implemented.");
+		System.out.println("ca.refresh() not implemented."); //$NON-NLS-1$
 	}
 
 
 	@Override
 	public void synchronize() {
-		System.out.println("ca.synchronize() not implemented.");
+		System.out.println("ca.synchronize() not implemented."); //$NON-NLS-1$
 	}
 
 	@Override
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 1048)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 1049)
@@ -82,8 +82,8 @@
 				Partition partition = (Partition) selection;
 
 				if (partition.getNPart() < 4) { // error to few parts
-					MessageDialog d = new MessageDialog(window.getShell(), TXMCoreMessages.error_error2, null,
-							NLS.bind(CAUIMessages.ComputeCorrespondanceAnalysis_4, partition.getNPart()), 0, new String[] { TXMCoreMessages.common_ok}, 0);
+					MessageDialog d = new MessageDialog(window.getShell(), "", null, //$NON-NLS-1$
+							NLS.bind(CAUIMessages.ComputeCorrespondanceAnalysis_4, partition.getNPart()), 0, new String[] { ""}, 0); //$NON-NLS-1$
 					d.open();
 					return null;
 				}
@@ -127,7 +127,7 @@
 				ca = (CA) selection;
 			}
 			else {
-				Log.severe("Error: cannot compute a CA with current selection: " + selection);
+				Log.severe(CAUIMessages.error_cannot_compute_with_selection + selection);
 				return null;
 			}
 			// compute the CA
@@ -146,13 +146,13 @@
 				
 			}
 			catch (Throwable e) {
-				System.out.println("Error while opening CAEditor with " + ca);
+				System.out.println(CAUIMessages.error_opening + ca);
 				Log.printStackTrace(e);
 			}
 
 		}
 		catch (Throwable e) {
-			Log.severe("Error while computing CA with " + selection);
+			Log.severe(CAUIMessages.error_cannot_compute_with + selection);
 			Log.printStackTrace(e);
 		}
 		return null;
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/adapters/CAAdapterFactory.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/adapters/CAAdapterFactory.java	(revision 1048)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/adapters/CAAdapterFactory.java	(revision 1049)
@@ -21,7 +21,7 @@
 	
 	public static final ImageDescriptor ICON =
 			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(CAAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(CAAdapterFactory.class).getSymbolicName() + "/icons/ca.png"); //$NON-NLS-1$
+					"platform:/plugin/"+ FrameworkUtil.getBundle(CAAdapterFactory.class).getSymbolicName() + "/icons/ca.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	
 	/**
 	 * Gets the adapter.
